QGIS Application - Bug report #7534

qgis wfs server cannot serve geometryless tables (but from project properties it seems possible)

2013-04-07 03:35 AM - Giovanni Manghi

Status: Closed

Priority: Normal
Assignee: René-Luc RelLuc
Category: QGIS Server

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 16478

Description

In a project where there are geometryless tables everything seems to allow publish them with qgis wfs server. In the project/layer
properties all the proper panels (ex. OWS server) seems to allow this operation, but then when accessing the wfs service with the WFS
client, the table is not added correctly in the project. In the TOC shows a strange icon (instead the expected table icon) and the table of

attributes is empty.

In the client the support for geometryless wfs tables should be available since

https://issues.qgis.org/projects/quantum-gis/repository/revisions/aedddc22b11e26df900d1ff91d6d23c94d905¢c78

so | guess is a server issue.

History

#1 - 2013-04-19 01:30 AM - René-Luc ReLuc
- Due date set to 2013-04-19

- Assignee set to René-Luc ReLuc

- % Done changed from 0 to 100

- Resolution set to fixed

Commit 92d24fb12047652142d4eda69c3a2b8c261aac4f
commit:92d24fb12047652142d4eda69c3a2b8c261aac4f

#2 - 2013-06-01 03:14 PM - Giovanni Manghi
- Status changed from Open to Resolved

René-Luc RelLuc wrote:

Commit 92d24fb12047652142d4eda69c3a2b8c261aac4f
commit:92d24fb12047652142d4eda69c3a2b8c26 1aac4f

tested wit the latest master on Linux and geometryless tables (tested csv and dbf) are not shown in WFS client while PostgreSQL are. Is this feature

supposed to work with just PostgreSQL tables? If yes this can be closed.

On the other hand the PostgreSQL table is shown also in the WMS client, that does not make sense | guess (and in fact it gives error if trying to add it).

2025-04-27

1/3



https://issues.qgis.org/projects/quantum-gis/repository/revisions/aedddc22b11e26df900d1ff91d6d23c94d905c78

#3 - 2013-06-01 03:26 PM - Giovanni Manghi

- Status changed from Resolved to Feedback

#4 - 2013-06-02 08:03 AM - Giovanni Manghi
- Priority changed from High to Normal

#5 - 2013-06-02 09:14 AM - René-Luc ReLuc

Giovanni Manghi wrote:

tested wit the latest master on Linux and geometryless tables (tested csv and dbf) are not shown in WFS client while PostgreSQL are. Is this feature
supposed to work with just PostgreSQL tables? If yes this can be closed.

This feature is not supposed to work only with PostgreSQL tables. | tested a CSV file which is in the GetCapabilities, the GetFeature works and the WFS
Client shows it.

Can you provide test data ?

On the other hand the PostgreSQL table is shown also in the WMS client, that does not make sense | guess (and in fact it gives error if trying to add

it).

| will take a look on it.

#6 - 2013-06-02 09:38 AM - René-Luc ReLuc

Giovanni Manghi wrote:

On the other hand the PostgreSQL table is shown also in the WMS client, that does not make sense | guess (and in fact it gives error if trying to add
it).

This commit c78a5d1941d8d14c68032cdcd507b28cfd226e32 , QGIS-Server doesn't publish vector layer without geometry in WMS, is correcting it.

#7 - 2013-06-02 01:12 PM - Giovanni Manghi
- File pontos_alentejo.csv added
- File leg.dbf added

Can you provide test data ?

attached. Cheers!

#8 - 2013-06-03 11:27 AM - René-Luc ReLuc

| have tested the data with a QGIS / QGIS-Server based on commit 36d266¢4b0dcf2435088f379700fb8e40f4abf3d

I have no bugs. If someone can confirm it this issue can be closed.
#9 - 2013-06-03 11:29 AM - Giovanni Manghi
- Status changed from Feedback to Closed

René-Luc RelLuc wrote:

| have tested the data with a QGIS / QGIS-Server based on commit 36d266c4b0dcf2435b88f379700fb8e40f4abf3d

I have no bugs. If someone can confirm it this issue can be closed.

don't worry, it means it is a local issue. Cheers!

Files
pontos_alentejo.csv 4.74 KB 2013-06-02 Giovanni Manghi
leg.dbf 15.2 KB 2013-06-02 Giovanni Manghi
